## procsignal procsignal |

## Functions

void | glibtop_get_proc_signal ()
void | glibtop_get_proc_signal_l ()
void | glibtop_get_proc_signal_p ()
void | glibtop_get_proc_signal_s ()

## Types and Values

#define | GLIBTOP_PROC_SIGNAL_SIGNAL
#define | GLIBTOP_PROC_SIGNAL_BLOCKED
#define | GLIBTOP_PROC_SIGNAL_SIGIGNORE
#define | GLIBTOP_PROC_SIGNAL_SIGCATCH
#define | GLIBTOP_MAX_PROC_SIGNAL
struct | glibtop_proc_signal
#define | glibtop_get_proc_signal_r

## Includes

    #include <glibtop/procsignal.h>

## Description

## Functions

### glibtop_get_proc_signal ()

    void
    glibtop_get_proc_signal (glibtop_proc_signal *buf,
                             pid_t pid);

### glibtop_get_proc_signal_l ()

    void
    glibtop_get_proc_signal_l (glibtop *server,
                               glibtop_proc_signal *buf,
                               pid_t pid);

### glibtop_get_proc_signal_p ()

    void
    glibtop_get_proc_signal_p (glibtop *server,
                               glibtop_proc_signal *buf,
                               pid_t pid);

### glibtop_get_proc_signal_s ()

    void
    glibtop_get_proc_signal_s (glibtop *server,
                               glibtop_proc_signal *buf,
                               pid_t pid);

## Types and Values

### GLIBTOP_PROC_SIGNAL_SIGNAL

    #define GLIBTOP_PROC_SIGNAL_SIGNAL 0

### GLIBTOP_PROC_SIGNAL_BLOCKED

    #define GLIBTOP_PROC_SIGNAL_BLOCKED 1

### GLIBTOP_PROC_SIGNAL_SIGIGNORE

    #define GLIBTOP_PROC_SIGNAL_SIGIGNORE 2

### GLIBTOP_PROC_SIGNAL_SIGCATCH

    #define GLIBTOP_PROC_SIGNAL_SIGCATCH 3

### GLIBTOP_MAX_PROC_SIGNAL

    #define GLIBTOP_MAX_PROC_SIGNAL		4

### struct glibtop_proc_signal

    struct glibtop_proc_signal {
    	guint64 flags;
    	guint64 signal [2];		/* mask of pending signals */
    	guint64 blocked [2];		/* mask of blocked signals */
    	guint64 sigignore [2];		/* mask of ignored signals */
    	guint64 sigcatch [2];		/* mask of caught  signals */
    };

### glibtop_get_proc_signal_r

    #define glibtop_get_proc_signal_r glibtop_get_proc_signal_p